org.apache.ignite.internal.processors.bulkload.pipeline

## Class CsvLineProcessorBlock

- java.lang.Object
- - org.apache.ignite.internal.processors.bulkload.pipeline.PipelineBlock<String,String[]>
  - - org.apache.ignite.internal.processors.bulkload.pipeline.CsvLineProcessorBlock

    public class CsvLineProcessorBlock
    extends PipelineBlock<String,String[]>

A `PipelineBlock`, which splits line according to CSV format rules and unquotes fields. The next block `PipelineBlock.accept(Object, boolean)` is called per-line.

### Constructor Summary

Constructors
Constructor and Description
`CsvLineProcessorBlock(Pattern fldDelim, String quoteChars)` Creates a CSV line parser.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `accept(String input, boolean isLastPortion)` Accepts a portion of input.

### Methods inherited from class org.apache.ignite.internal.processors.bulkload.pipeline.PipelineBlock

`append`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CsvLineProcessorBlock

    public CsvLineProcessorBlock(Pattern fldDelim,
                                 String quoteChars)

Creates a CSV line parser.

Parameters:
  `fldDelim` - The pattern for the field delimiter.
  `quoteChars` - Quoting character.

### Method Detail

#### accept

    public void accept(String input,
                       boolean isLastPortion)
                throws IgniteCheckedException

Accepts a portion of input. `isLastPortion` parameter should be set if this is a last portion of the input. The method must not be called after the end of input: the call with `isLastPortion == true` is the last one.

Specified by:
  `accept` in class `PipelineBlock<String,String[]>`
Parameters:
  `input` - Portion of input.
  `isLastPortion` - Is this the last portion.
Throws:
  `IgniteCheckedException` - On error.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021